<script language=JavaScript>
<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//-->

<!--
//			2005.12.19 新規作成 大賀俊彦

	function submitForm(StrPrefix) {
		var LsResult	= "";				//	エラーメッセージ
		var LsName	= "";				//	チェックする項目名
		var LoObject	= null;				//	チェックするコントロール
		var LoForm	= document.insertForm;		//	チェックするフォーム

	//	LOタイトル
		LsName = "LOタイトル";
		LoObject = LoForm.LoTytle;
		//	必須入力チェック
		LsResult = _COM_isInput(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カンマ入力チェック
		LsResult = _COM_checkComma(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	予約語チェック
		LsResult = _COM_checkReservationWord(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	外部ID

		if (StrPrefix == 'null'){

			LsName = "外部ID";
			LoObject = LoForm.ForeignID;
			//	必須入力チェック
			LsResult = _COM_isInput(LoObject.value);
			if( LsResult ) {
				alert( LsName+LsResult );
				LoObject.focus();
				return;
			}
			//	カナ文字チェック
			LsResult = isHanKana(LoObject.value);
			if( LsResult ) {
				alert( LsName+LsResult );
				LoObject.focus();
				return;
			}
			//	バイト数チェック
			LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
			if( LsResult ) {
				alert( LsName+LsResult );
				LoObject.focus();
				return;
			}
		}

	//	キーワード
		LsName = "キーワード";
		LoObject = LoForm.KeyWord;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	LOの説明
		LsName = "LOの説明";
		LoObject = LoForm.Loexplanation;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, 256);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	LOのバージョン
		LsName = "LOのバージョン";
		LoObject = LoForm.Version;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	Windowサイズ(縦、横)の入力値チェック
		LsResult = checkWinSize();
		if( LsResult == false) {
			return;
		}

		// 入力されたリストのチェック
		// LOリスト
		if( LoForm.selLoList.length==0 ){
			alert("LOがひとつも入力されていません");
			return;
		}
		
		// 承認者リスト
		if( LoForm.AdmitType[1].checked == true ){	// 承認回数1回
			if( LoForm.selRecog2List.length==0 ){
				alert("承認回数1回が指定されているのに、\n承認者が一人も入力されていません");
				return;
			}
		}
		
		if( LoForm.AdmitType[2].checked == true ){	// 承認回数2回
			if( LoForm.selRecog1List.length==0 || LoForm.selRecog2List.length==0 ){
				alert("承認回数2回が指定されているのに、\n事前承認者または承認者のいずれかが一人も入力されていません");
				return;
			}
		}
		
		// 個人上限数の設定値
		IdvVal = LoForm.IndividualApplyMax.value;
		if( IdvVal.match(/[^0-9]/g) ){
			alert("個人上限数の設定値に数値以外の文字が含まれています");
			return;
		}
		
		// 上限通知メールアドレスのチェック
		if( LoForm.UpLmtControl[0].checked == true ){	// 申請上限設定ありの場合
			if( LoForm.UpLmtEmail.value == "" ){
				alert("申請上限が「あり」に設定されているのに、\n上限通知先メールアドレスが入力されていません");
				return;
			}
		}
		
		//カフェテリアリストに追加されているLOのLOIDと、LOタイトルを配列にセットする。
		var arrLoListID = new Array();
		var arrLoListName = new Array();
		for(var i=0;i<LoForm.selLoList.length;i++)
		{
			arrLoListID[i] = LoForm.selLoList.options[i].value;
			arrLoListName[i] = LoForm.selLoList.options[i].text;
		}

		//LOIDと、LOタイトルの配列をHiddenにセットする。
		LoForm.hdnLoListID.value = arrLoListID;
		LoForm.hdnLoListName.value = arrLoListName;

		//カフェテリアリストに追加されている上限値のValとTextを配列にセットする。
		var arrUpLmtListVal = new Array();
		var arrUpLmtListText = new Array();
		for(var i=0;i<LoForm.selUpLmtList.length;i++)
		{
			arrUpLmtListVal[i] = LoForm.selUpLmtList.options[i].value;
			arrUpLmtListText[i] = LoForm.selUpLmtList.options[i].text;
		}

		//arrUpLmtListValとarrUpLmtListTextの配列をHiddenにセットする。
		LoForm.hdnUpLmtListVal.value = arrUpLmtListVal;
		LoForm.hdnUpLmtListText.value = arrUpLmtListText;

		//カフェテリアリストに追加されている課金値のValとTextを配列にセットする。
		var arrKakinListVal = new Array();
		var arrKakinListText = new Array();
		for(var i=0;i<LoForm.selKakinList.length;i++)
		{
			arrKakinListVal[i] = LoForm.selKakinList.options[i].value;
			arrKakinListText[i] = LoForm.selKakinList.options[i].text;
		}

		//arrKakinListValとarrKakinListTextの配列をHiddenにセットする。
		LoForm.hdnKakinListVal.value = arrKakinListVal;
		LoForm.hdnKakinListText.value = arrKakinListText;

		//カフェテリアリストに追加されている承認者1のIDとNameを配列にセットする。
		var arrRecog1ListID = new Array();
		var arrRecog1ListName = new Array();
		for(var i=0;i<LoForm.selRecog1List.length;i++)
		{
			arrRecog1ListID[i] = LoForm.selRecog1List.options[i].value;
			arrRecog1ListName[i] = LoForm.selRecog1List.options[i].text;
		}

		//arrRecog1ListIDとarrRecog1ListNameの配列をHiddenにセットする。
		LoForm.hdnRecog1ListID.value = arrRecog1ListID;
		LoForm.hdnRecog1ListName.value = arrRecog1ListName;

		//カフェテリアリストに追加されている承認者2のIDとNameを配列にセットする。
		var arrRecog2ListID = new Array();
		var arrRecog2ListName = new Array();
		for(var i=0;i<LoForm.selRecog2List.length;i++)
		{
			arrRecog2ListID[i] = LoForm.selRecog2List.options[i].value;
			arrRecog2ListName[i] = LoForm.selRecog2List.options[i].text;
		}

		//arrRecog2ListIDとarrRecog2ListNameの配列をHiddenにセットする。
		LoForm.hdnRecog2ListID.value = arrRecog2ListID;
		LoForm.hdnRecog2ListName.value = arrRecog2ListName;


		LoForm.submit();

	}
-->
</script>
